published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
Deprecated: Use
proxmoxve.metrics.Serverinstead. This resource will be removed in v1.0.
Manages PVE metrics server.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as proxmoxve from "@muhlba91/pulumi-proxmoxve";
const influxdbServer = new proxmoxve.metrics.ServerLegacy("influxdb_server", {
name: "example_influxdb_server",
server: "192.168.3.2",
port: 8089,
type: "influxdb",
});
const graphiteServer = new proxmoxve.metrics.ServerLegacy("graphite_server", {
name: "example_graphite_server",
server: "192.168.4.2",
port: 2003,
type: "graphite",
});
const opentelemetryServer = new proxmoxve.metrics.ServerLegacy("opentelemetry_server", {
name: "example_opentelemetry_server",
server: "192.168.5.2",
port: 4318,
type: "opentelemetry",
opentelemetryProto: "http",
opentelemetryPath: "/v1/metrics",
});
import pulumi
import pulumi_proxmoxve as proxmoxve
influxdb_server = proxmoxve.metrics.ServerLegacy("influxdb_server",
name="example_influxdb_server",
server="192.168.3.2",
port=8089,
type="influxdb")
graphite_server = proxmoxve.metrics.ServerLegacy("graphite_server",
name="example_graphite_server",
server="192.168.4.2",
port=2003,
type="graphite")
opentelemetry_server = proxmoxve.metrics.ServerLegacy("opentelemetry_server",
name="example_opentelemetry_server",
server="192.168.5.2",
port=4318,
type="opentelemetry",
opentelemetry_proto="http",
opentelemetry_path="/v1/metrics")
package main
import (
"github.com/muhlba91/pulumi-proxmoxve/sdk/v8/go/proxmoxve/metrics"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := metrics.NewServerLegacy(ctx, "influxdb_server", &metrics.ServerLegacyArgs{
Name: pulumi.String("example_influxdb_server"),
Server: pulumi.String("192.168.3.2"),
Port: pulumi.Int(8089),
Type: pulumi.String("influxdb"),
})
if err != nil {
return err
}
_, err = metrics.NewServerLegacy(ctx, "graphite_server", &metrics.ServerLegacyArgs{
Name: pulumi.String("example_graphite_server"),
Server: pulumi.String("192.168.4.2"),
Port: pulumi.Int(2003),
Type: pulumi.String("graphite"),
})
if err != nil {
return err
}
_, err = metrics.NewServerLegacy(ctx, "opentelemetry_server", &metrics.ServerLegacyArgs{
Name: pulumi.String("example_opentelemetry_server"),
Server: pulumi.String("192.168.5.2"),
Port: pulumi.Int(4318),
Type: pulumi.String("opentelemetry"),
OpentelemetryProto: pulumi.String("http"),
OpentelemetryPath: pulumi.String("/v1/metrics"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using ProxmoxVE = Pulumi.ProxmoxVE;
return await Deployment.RunAsync(() =>
{
var influxdbServer = new ProxmoxVE.Metrics.ServerLegacy("influxdb_server", new()
{
Name = "example_influxdb_server",
ServerAddress = "192.168.3.2",
Port = %!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(8089) (example.pp:4,19-23)),
Type = "influxdb",
});
var graphiteServer = new ProxmoxVE.Metrics.ServerLegacy("graphite_server", new()
{
Name = "example_graphite_server",
ServerAddress = "192.168.4.2",
Port = %!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(2003) (example.pp:12,19-23)),
Type = "graphite",
});
var opentelemetryServer = new ProxmoxVE.Metrics.ServerLegacy("opentelemetry_server", new()
{
Name = "example_opentelemetry_server",
ServerAddress = "192.168.5.2",
Port = %!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(4318) (example.pp:20,24-28)),
Type = "opentelemetry",
OpentelemetryProto = "http",
OpentelemetryPath = "/v1/metrics",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import io.muehlbachler.pulumi.proxmoxve.metrics.ServerLegacy;
import io.muehlbachler.pulumi.proxmoxve.metrics.ServerLegacyArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var influxdbServer = new ServerLegacy("influxdbServer", ServerLegacyArgs.builder()
.name("example_influxdb_server")
.server("192.168.3.2")
.port(%!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(8089) (example.pp:4,19-23)))
.type("influxdb")
.build());
var graphiteServer = new ServerLegacy("graphiteServer", ServerLegacyArgs.builder()
.name("example_graphite_server")
.server("192.168.4.2")
.port(%!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(2003) (example.pp:12,19-23)))
.type("graphite")
.build());
var opentelemetryServer = new ServerLegacy("opentelemetryServer", ServerLegacyArgs.builder()
.name("example_opentelemetry_server")
.server("192.168.5.2")
.port(%!v(PANIC=Format method: fatal: A failure has occurred: unexpected literal type in GenLiteralValueExpression: cty.NumberIntVal(4318) (example.pp:20,24-28)))
.type("opentelemetry")
.opentelemetryProto("http")
.opentelemetryPath("/v1/metrics")
.build());
}
}
resources:
influxdbServer:
type: proxmoxve:metrics:ServerLegacy
name: influxdb_server
properties:
name: example_influxdb_server
server: 192.168.3.2
port: 8089
type: influxdb
graphiteServer:
type: proxmoxve:metrics:ServerLegacy
name: graphite_server
properties:
name: example_graphite_server
server: 192.168.4.2
port: 2003
type: graphite
opentelemetryServer:
type: proxmoxve:metrics:ServerLegacy
name: opentelemetry_server
properties:
name: example_opentelemetry_server
server: 192.168.5.2
port: 4318
type: opentelemetry
opentelemetryProto: http
opentelemetryPath: /v1/metrics
Create ServerLegacy Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ServerLegacy(name: string, args: ServerLegacyArgs, opts?: CustomResourceOptions);@overload
def ServerLegacy(resource_name: str,
args: ServerLegacyArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ServerLegacy(resource_name: str,
opts: Optional[ResourceOptions] = None,
port: Optional[int] = None,
type: Optional[str] = None,
server: Optional[str] = None,
opentelemetry_compression: Optional[str] = None,
opentelemetry_max_body_size: Optional[int] = None,
influx_db_proto: Optional[str] = None,
influx_max_body_size: Optional[int] = None,
influx_organization: Optional[str] = None,
influx_token: Optional[str] = None,
influx_verify: Optional[bool] = None,
mtu: Optional[int] = None,
name: Optional[str] = None,
disable: Optional[bool] = None,
opentelemetry_headers: Optional[str] = None,
influx_bucket: Optional[str] = None,
opentelemetry_path: Optional[str] = None,
opentelemetry_proto: Optional[str] = None,
opentelemetry_resource_attributes: Optional[str] = None,
opentelemetry_timeout: Optional[int] = None,
opentelemetry_verify_ssl: Optional[bool] = None,
influx_api_path_prefix: Optional[str] = None,
graphite_proto: Optional[str] = None,
timeout: Optional[int] = None,
graphite_path: Optional[str] = None)func NewServerLegacy(ctx *Context, name string, args ServerLegacyArgs, opts ...ResourceOption) (*ServerLegacy, error)public ServerLegacy(string name, ServerLegacyArgs args, CustomResourceOptions? opts = null)
public ServerLegacy(String name, ServerLegacyArgs args)
public ServerLegacy(String name, ServerLegacyArgs args, CustomResourceOptions options)
type: proxmoxve:metrics:ServerLegacy
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args ServerLegacyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ServerLegacyArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ServerLegacyArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ServerLegacyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ServerLegacyArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var serverLegacyResource = new ProxmoxVE.Metrics.ServerLegacy("serverLegacyResource", new()
{
Port = 0,
Type = "string",
ServerAddress = "string",
OpentelemetryCompression = "string",
OpentelemetryMaxBodySize = 0,
InfluxDbProto = "string",
InfluxMaxBodySize = 0,
InfluxOrganization = "string",
InfluxToken = "string",
InfluxVerify = false,
Mtu = 0,
Name = "string",
Disable = false,
OpentelemetryHeaders = "string",
InfluxBucket = "string",
OpentelemetryPath = "string",
OpentelemetryProto = "string",
OpentelemetryResourceAttributes = "string",
OpentelemetryTimeout = 0,
OpentelemetryVerifySsl = false,
InfluxApiPathPrefix = "string",
GraphiteProto = "string",
Timeout = 0,
GraphitePath = "string",
});
example, err := metrics.NewServerLegacy(ctx, "serverLegacyResource", &metrics.ServerLegacyArgs{
Port: pulumi.Int(0),
Type: pulumi.String("string"),
Server: pulumi.String("string"),
OpentelemetryCompression: pulumi.String("string"),
OpentelemetryMaxBodySize: pulumi.Int(0),
InfluxDbProto: pulumi.String("string"),
InfluxMaxBodySize: pulumi.Int(0),
InfluxOrganization: pulumi.String("string"),
InfluxToken: pulumi.String("string"),
InfluxVerify: pulumi.Bool(false),
Mtu: pulumi.Int(0),
Name: pulumi.String("string"),
Disable: pulumi.Bool(false),
OpentelemetryHeaders: pulumi.String("string"),
InfluxBucket: pulumi.String("string"),
OpentelemetryPath: pulumi.String("string"),
OpentelemetryProto: pulumi.String("string"),
OpentelemetryResourceAttributes: pulumi.String("string"),
OpentelemetryTimeout: pulumi.Int(0),
OpentelemetryVerifySsl: pulumi.Bool(false),
InfluxApiPathPrefix: pulumi.String("string"),
GraphiteProto: pulumi.String("string"),
Timeout: pulumi.Int(0),
GraphitePath: pulumi.String("string"),
})
var serverLegacyResource = new ServerLegacy("serverLegacyResource", ServerLegacyArgs.builder()
.port(0)
.type("string")
.server("string")
.opentelemetryCompression("string")
.opentelemetryMaxBodySize(0)
.influxDbProto("string")
.influxMaxBodySize(0)
.influxOrganization("string")
.influxToken("string")
.influxVerify(false)
.mtu(0)
.name("string")
.disable(false)
.opentelemetryHeaders("string")
.influxBucket("string")
.opentelemetryPath("string")
.opentelemetryProto("string")
.opentelemetryResourceAttributes("string")
.opentelemetryTimeout(0)
.opentelemetryVerifySsl(false)
.influxApiPathPrefix("string")
.graphiteProto("string")
.timeout(0)
.graphitePath("string")
.build());
server_legacy_resource = proxmoxve.metrics.ServerLegacy("serverLegacyResource",
port=0,
type="string",
server="string",
opentelemetry_compression="string",
opentelemetry_max_body_size=0,
influx_db_proto="string",
influx_max_body_size=0,
influx_organization="string",
influx_token="string",
influx_verify=False,
mtu=0,
name="string",
disable=False,
opentelemetry_headers="string",
influx_bucket="string",
opentelemetry_path="string",
opentelemetry_proto="string",
opentelemetry_resource_attributes="string",
opentelemetry_timeout=0,
opentelemetry_verify_ssl=False,
influx_api_path_prefix="string",
graphite_proto="string",
timeout=0,
graphite_path="string")
const serverLegacyResource = new proxmoxve.metrics.ServerLegacy("serverLegacyResource", {
port: 0,
type: "string",
server: "string",
opentelemetryCompression: "string",
opentelemetryMaxBodySize: 0,
influxDbProto: "string",
influxMaxBodySize: 0,
influxOrganization: "string",
influxToken: "string",
influxVerify: false,
mtu: 0,
name: "string",
disable: false,
opentelemetryHeaders: "string",
influxBucket: "string",
opentelemetryPath: "string",
opentelemetryProto: "string",
opentelemetryResourceAttributes: "string",
opentelemetryTimeout: 0,
opentelemetryVerifySsl: false,
influxApiPathPrefix: "string",
graphiteProto: "string",
timeout: 0,
graphitePath: "string",
});
type: proxmoxve:metrics:ServerLegacy
properties:
disable: false
graphitePath: string
graphiteProto: string
influxApiPathPrefix: string
influxBucket: string
influxDbProto: string
influxMaxBodySize: 0
influxOrganization: string
influxToken: string
influxVerify: false
mtu: 0
name: string
opentelemetryCompression: string
opentelemetryHeaders: string
opentelemetryMaxBodySize: 0
opentelemetryPath: string
opentelemetryProto: string
opentelemetryResourceAttributes: string
opentelemetryTimeout: 0
opentelemetryVerifySsl: false
port: 0
server: string
timeout: 0
type: string
ServerLegacy Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ServerLegacy resource accepts the following input properties:
- Port int
- Server network port.
- Type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - server
Address string - Server dns name or IP address.
- Disable bool
- Set this to
trueto disable this metric server. - Graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - Graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - Influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - Influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- Influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - Influx
Max intBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - Influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- Influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - Influx
Verify bool - Set to
falseto disable certificate verification for https endpoints. - Mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - Name string
- Unique name that will be ID of this metric server in PVE.
- Opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - Opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- Opentelemetry
Max intBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - Opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - Opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - Opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- Opentelemetry
Timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - Opentelemetry
Verify boolSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - Timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1.
- Port int
- Server network port.
- Server string
- Server dns name or IP address.
- Type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - Disable bool
- Set this to
trueto disable this metric server. - Graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - Graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - Influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - Influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- Influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - Influx
Max intBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - Influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- Influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - Influx
Verify bool - Set to
falseto disable certificate verification for https endpoints. - Mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - Name string
- Unique name that will be ID of this metric server in PVE.
- Opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - Opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- Opentelemetry
Max intBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - Opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - Opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - Opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- Opentelemetry
Timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - Opentelemetry
Verify boolSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - Timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1.
- port Integer
- Server network port.
- server String
- Server dns name or IP address.
- type String
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - disable Boolean
- Set this to
trueto disable this metric server. - graphite
Path String - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto String - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api StringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket String - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db StringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max IntegerBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization String - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token String - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify Boolean - Set to
falseto disable certificate verification for https endpoints. - mtu Integer
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name String
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression String - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers String - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max IntegerBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path String - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto String - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource StringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout Integer - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify BooleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - timeout Integer
- TCP socket timeout in seconds. If not set, PVE default is
1.
- port number
- Server network port.
- server string
- Server dns name or IP address.
- type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - disable boolean
- Set this to
trueto disable this metric server. - graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max numberBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify boolean - Set to
falseto disable certificate verification for https endpoints. - mtu number
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name string
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max numberBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout number - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify booleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - timeout number
- TCP socket timeout in seconds. If not set, PVE default is
1.
- port int
- Server network port.
- server str
- Server dns name or IP address.
- type str
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - disable bool
- Set this to
trueto disable this metric server. - graphite_
path str - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite_
proto str - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx_
api_ strpath_ prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx_
bucket str - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx_
db_ strproto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx_
max_ intbody_ size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx_
organization str - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx_
token str - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx_
verify bool - Set to
falseto disable certificate verification for https endpoints. - mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name str
- Unique name that will be ID of this metric server in PVE.
- opentelemetry_
compression str - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry_
headers str - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry_
max_ intbody_ size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry_
path str - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry_
proto str - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry_
resource_ strattributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry_
timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry_
verify_ boolssl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1.
- port Number
- Server network port.
- server String
- Server dns name or IP address.
- type String
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - disable Boolean
- Set this to
trueto disable this metric server. - graphite
Path String - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto String - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api StringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket String - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db StringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max NumberBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization String - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token String - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify Boolean - Set to
falseto disable certificate verification for https endpoints. - mtu Number
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name String
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression String - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers String - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max NumberBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path String - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto String - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource StringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout Number - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify BooleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - timeout Number
- TCP socket timeout in seconds. If not set, PVE default is
1.
Outputs
All input properties are implicitly available as output properties. Additionally, the ServerLegacy resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing ServerLegacy Resource
Get an existing ServerLegacy resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: ServerLegacyState, opts?: CustomResourceOptions): ServerLegacy@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
disable: Optional[bool] = None,
graphite_path: Optional[str] = None,
graphite_proto: Optional[str] = None,
influx_api_path_prefix: Optional[str] = None,
influx_bucket: Optional[str] = None,
influx_db_proto: Optional[str] = None,
influx_max_body_size: Optional[int] = None,
influx_organization: Optional[str] = None,
influx_token: Optional[str] = None,
influx_verify: Optional[bool] = None,
mtu: Optional[int] = None,
name: Optional[str] = None,
opentelemetry_compression: Optional[str] = None,
opentelemetry_headers: Optional[str] = None,
opentelemetry_max_body_size: Optional[int] = None,
opentelemetry_path: Optional[str] = None,
opentelemetry_proto: Optional[str] = None,
opentelemetry_resource_attributes: Optional[str] = None,
opentelemetry_timeout: Optional[int] = None,
opentelemetry_verify_ssl: Optional[bool] = None,
port: Optional[int] = None,
server: Optional[str] = None,
timeout: Optional[int] = None,
type: Optional[str] = None) -> ServerLegacyfunc GetServerLegacy(ctx *Context, name string, id IDInput, state *ServerLegacyState, opts ...ResourceOption) (*ServerLegacy, error)public static ServerLegacy Get(string name, Input<string> id, ServerLegacyState? state, CustomResourceOptions? opts = null)public static ServerLegacy get(String name, Output<String> id, ServerLegacyState state, CustomResourceOptions options)resources: _: type: proxmoxve:metrics:ServerLegacy get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Disable bool
- Set this to
trueto disable this metric server. - Graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - Graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - Influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - Influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- Influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - Influx
Max intBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - Influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- Influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - Influx
Verify bool - Set to
falseto disable certificate verification for https endpoints. - Mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - Name string
- Unique name that will be ID of this metric server in PVE.
- Opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - Opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- Opentelemetry
Max intBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - Opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - Opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - Opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- Opentelemetry
Timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - Opentelemetry
Verify boolSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - Port int
- Server network port.
- Timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1. - Type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry. - server
Address string - Server dns name or IP address.
- Disable bool
- Set this to
trueto disable this metric server. - Graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - Graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - Influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - Influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- Influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - Influx
Max intBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - Influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- Influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - Influx
Verify bool - Set to
falseto disable certificate verification for https endpoints. - Mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - Name string
- Unique name that will be ID of this metric server in PVE.
- Opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - Opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- Opentelemetry
Max intBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - Opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - Opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - Opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- Opentelemetry
Timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - Opentelemetry
Verify boolSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - Port int
- Server network port.
- Server string
- Server dns name or IP address.
- Timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1. - Type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry.
- disable Boolean
- Set this to
trueto disable this metric server. - graphite
Path String - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto String - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api StringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket String - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db StringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max IntegerBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization String - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token String - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify Boolean - Set to
falseto disable certificate verification for https endpoints. - mtu Integer
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name String
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression String - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers String - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max IntegerBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path String - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto String - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource StringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout Integer - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify BooleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - port Integer
- Server network port.
- server String
- Server dns name or IP address.
- timeout Integer
- TCP socket timeout in seconds. If not set, PVE default is
1. - type String
- Plugin type. Choice is between
graphite|influxdb|opentelemetry.
- disable boolean
- Set this to
trueto disable this metric server. - graphite
Path string - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto string - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api stringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket string - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db stringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max numberBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization string - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token string - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify boolean - Set to
falseto disable certificate verification for https endpoints. - mtu number
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name string
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression string - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers string - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max numberBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path string - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto string - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource stringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout number - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify booleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - port number
- Server network port.
- server string
- Server dns name or IP address.
- timeout number
- TCP socket timeout in seconds. If not set, PVE default is
1. - type string
- Plugin type. Choice is between
graphite|influxdb|opentelemetry.
- disable bool
- Set this to
trueto disable this metric server. - graphite_
path str - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite_
proto str - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx_
api_ strpath_ prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx_
bucket str - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx_
db_ strproto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx_
max_ intbody_ size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx_
organization str - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx_
token str - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx_
verify bool - Set to
falseto disable certificate verification for https endpoints. - mtu int
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name str
- Unique name that will be ID of this metric server in PVE.
- opentelemetry_
compression str - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry_
headers str - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry_
max_ intbody_ size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry_
path str - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry_
proto str - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry_
resource_ strattributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry_
timeout int - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry_
verify_ boolssl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - port int
- Server network port.
- server str
- Server dns name or IP address.
- timeout int
- TCP socket timeout in seconds. If not set, PVE default is
1. - type str
- Plugin type. Choice is between
graphite|influxdb|opentelemetry.
- disable Boolean
- Set this to
trueto disable this metric server. - graphite
Path String - Root graphite path (ex:
proxmox.mycluster.mykey). - graphite
Proto String - Protocol to send graphite data. Choice is between
udp|tcp. If not set, PVE default isudp. - influx
Api StringPath Prefix - An API path prefix inserted between
<host>:<port>/and/api2/. Can be useful if the InfluxDB service runs behind a reverse proxy. - influx
Bucket String - The InfluxDB bucket/db. Only necessary when using the http v2 api.
- influx
Db StringProto - Protocol for InfluxDB. Choice is between
udp|http|https. If not set, PVE default isudp. - influx
Max NumberBody Size - InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is
25000000. - influx
Organization String - The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
- influx
Token String - The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use
user:passwordinstead. - influx
Verify Boolean - Set to
falseto disable certificate verification for https endpoints. - mtu Number
- MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is
1500(allowed512-65536). - name String
- Unique name that will be ID of this metric server in PVE.
- opentelemetry
Compression String - OpenTelemetry compression algorithm for requests. Choice is between
none|gzip. If not set, PVE default isgzip. - opentelemetry
Headers String - OpenTelemetry custom HTTP headers as JSON, base64 encoded.
- opentelemetry
Max NumberBody Size - OpenTelemetry maximum request body size in bytes. If not set, PVE default is
10000000. - opentelemetry
Path String - OpenTelemetry endpoint path (e.g.,
/v1/metrics). - opentelemetry
Proto String - Protocol for OpenTelemetry. Choice is between
http|https. If not set, PVE default ishttps. - opentelemetry
Resource StringAttributes - OpenTelemetry additional resource attributes as JSON, base64 encoded.
- opentelemetry
Timeout Number - OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is
5. - opentelemetry
Verify BooleanSsl - OpenTelemetry verify SSL certificates. If not set, PVE default is
true. - port Number
- Server network port.
- server String
- Server dns name or IP address.
- timeout Number
- TCP socket timeout in seconds. If not set, PVE default is
1. - type String
- Plugin type. Choice is between
graphite|influxdb|opentelemetry.
Import
!/usr/bin/env sh
$ pulumi import proxmoxve:metrics/serverLegacy:ServerLegacy example example
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- proxmoxve muhlba91/pulumi-proxmoxve
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
proxmoxTerraform Provider.
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
